import { _decorator, Component, Node } from 'cc';
import { GUIManager } from '../../../engines/gui/GUIManager';
import { GUIMediator } from '../../../engines/gui/GUIMediator';
import { SceneManager } from '../../../engines/scenes/SceneManager';
import { PlatformManager } from '../../../Platform/PlatformManager';
import { UIConst } from '../UIConst';
const { ccclass, property } = _decorator;

@ccclass('FullOutputMediator')
export class FullOutputMediator extends GUIMediator {
    

    start () {
        // Your initialization goes here.
    }

    OnShow(data?:any):void{
        PlatformManager.hideBanner();
        this.data=data;
    }

    OnHide():void{

    }

    /**
     * 返回主界面
     */
    BackToMain():void{
        SceneManager.single.Swicth("PrepareScene");
        this.HideSelf();
    }
    
    ContinueGame():void{
        GUIManager.single.Show(UIConst.FIGHTING_UI);
        this.HideSelf();
    }
    
    // update (deltaTime: number) {
    //     // Your update function goes here.
    // }
}
